Datasets - Get Parameters
Returns a list of parameters for the specified semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Required Scope
Dataset.Read.All or Dataset.ReadWrite.All
Limitations
- Datasets with SQL, Oracle, Teradata, and SAP HANA DirectQuery connections aren't supported.
- Datasets created or modified using the public XMLA endpoint aren't supported.
GET https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/parameters
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/parameters
Sample response
{
"value": [
{
"name": "ServerName",
"type": "Text",
"isRequired": true,
"currentValue": "MyTest.database.windows.net"
},
{
"name": "DatabaseName",
"type": "Text",
"isRequired": true,
"currentValue": "MyTestDB"
},
{
"name": "FromDate",
"type": "DateTime",
"isRequired": true,
"currentValue": "2/8/2002 12:00:00 AM"
},
{
"name": "FilterBlanks",
"type": "Logical",
"isRequired": true,
"currentValue": "TRUE"
},
{
"name": "MaxId",
"type": "Number",
"isRequired": true,
"currentValue": "77"
},
{
"name": "AnyParam",
"type": "Any",
"isRequired": true,
"currentValue": "uu63"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Mashup |
A Power BI dataset parameter |
|
Mashup |
The OData response wrapper for a list of Power BI dataset parameters |
MashupParameter
A Power BI dataset parameter
| Name | Type | Description |
|---|---|---|
| currentValue |
string |
The current value of the parameter |
| isRequired |
boolean |
Whether the dataset parameter is required |
| name |
string |
The parameter name |
| suggestedValues |
string[] |
A list of suggested parameter values |
| type |
string |
The parameter type |
MashupParameters
The OData response wrapper for a list of Power BI dataset parameters
| Name | Type | Description |
|---|---|---|
| @odata.context |
string |
|
| value |
A list of dataset parameters |